Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1049648 - Create Red Hat Access Subsystem and add to EAP 6.3 Build
Summary: Create Red Hat Access Subsystem and add to EAP 6.3 Build
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: distribution
Version: 6.3.0
Hardware: All
OS: All
unspecified
urgent
Target Milestone: DR1
: EAP 6.3.0
Assignee: Spenser Shumaker
QA Contact: Katerina Odabasi
URL:
Whiteboard:
Depends On: 1059389
Blocks: 1051597
TreeView+ depends on / blocked
 
Reported: 2014-01-07 23:15 UTC by Keith Robertson
Modified: 2016-07-10 22:39 UTC (History)
7 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 15:26:40 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker EAP6-13 Major New Create Red Hat Access Subsystem and add to EAP 6.4 Build 2017-03-09 16:34:01 UTC
Red Hat Bugzilla 1072106 None None None Never

Internal Links: 1072106

Description Keith Robertson 2014-01-07 23:15:25 UTC
This Bugzilla is for the creation of a new subsystem for Red Hat subscriber services. This subsystem will expose endpoints including, but not limited to,

- Support case creation (e.g. opencase(title, description, ...)
- Diagnostics (diagnose(/path/to/log/file)
- KB Searching (search(keywords here)

This subsystem should ship by default with EAP 6.3 and forward. These callable endpoints will provide a framework so that UIs, CLIs, etc. can build advanced Red Hat specific subscription services without having to ship their own version of a Red Hat subscription library.


Notes:
- This subsystem/library will be demand activated like JDR. It will not maintain persistent threads.
- To leverage subscription services via this subsystem callers are expected to provide Red Hat credentials.

Comment 2 JBoss JIRA Server 2014-01-29 18:01:16 UTC
Spenser Shumaker <sshumake@redhat.com> updated the status of jira EAP6-13 to Coding In Progress

Comment 3 JBoss JIRA Server 2014-01-29 18:01:25 UTC
Spenser Shumaker <sshumake@redhat.com> updated the status of jira EAP6-13 to Open

Comment 5 Paul Gier 2014-02-28 20:41:05 UTC
Jvnet Mimepull was added to the build as part of this fix, but it looks like it's not actually needed.
PR to remove it from the build in the next release: https://github.com/jbossas/jboss-eap/pull/992

Comment 6 Pavel Jelinek 2014-06-25 12:29:41 UTC
Redhat-access-plugin was added to source code - verified for EAP 6.3.0.ER8.


Note You need to log in before you can comment on or make changes to this bug.